#= Makefile for dcpam/src/surface_properties
#
# Authors::   Yoshiyuki O. Takahashi
# Version::   $Id: Makefile,v 1.5 2015/01/31 06:16:26 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = surface_properties.o \
	albedo_Matthews.o modify_albedo_snowseaice.o \
	surface_properties_lo.o roughlen_Matthews.o \
	snowice_frac.o soil_thermdiffcoef.o \
	gabls.o

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

#=== rb2f90
